ISOSIZE(8)

BEZEICHNUNG
isosize - die Länge eines Iso9660-Dateisystems ausgeben

ÜBERSICHT

isosize [Optionen] iso9660-Abbilddatei

BESCHREIBUNG

Dieser Befehl gibt die Länge eines iso9660-Dateisystems aus, welches in der angegebenen Datei enthalten ist. Dies kann eine normale Datei oder ein blockorientiertes Gerät sein (zum Beispiel /dev/hdd oder /dev/sr0). Ohne jegliche Argumente (und Fehler) wird die Größe des iso9660-Dateisystems in Byte ausgegeben. Dies kann eine recht große Zahl sein (>> 4 GB).

OPTIONEN

-x, --sectors
    zeigt die Anzahl der Blöcke und deren Größe in menschenlesbarer Form an. Die Ausgabe benutzt den Begriff »Sektoren« für »Blöcke«.

-d, --divisor Faktor
    Dies wirkt sich nur aus, wenn -x nicht angegeben ist. Der angezeigte Wert (falls keine Fehler auftreten) ergibt sich aus der iso9660-Dateigröße, geteilt durch den Faktor. Sofern der Faktor die Blockgröße ist, ist der angezeigte Wert die Anzahl der Blöcke.

    Die Größe der Datei oder des blockorientierten Gerätes, welches das iso9660-Dateisystem enthält, kann etwas größer sein als die eigentliche Größe des iso9660-Dateisystems. Ein Grund dafür ist, dass es CD-Brennern erlaubt ist, am Ende des iso9669-Abbildes zusätzliche »run out«-Sektoren hinzuzufügen.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

0
    Erfolg

1
    allgemeiner Fehler, wie ungültige Benutzung

32
    alle fehlgeschlagen

64
    einige fehlgeschlagen

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl isosize ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.